API Reference
Log In
API Reference

Update Card

Allows you to update the card information and perform the activation.

Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📢 Considerations

Based on the Action sent field, the Status field will be required or not. The Status field is required when the action is an activation, and not required when it is card resubmission.

If the action is Activation, this endpoint in the response can return the activation id, which is needed to query the status of the activation process (next method in documentation). If this field is not returned, it means that this card was activated synchronously, so it would not be necessary to consume the following endpoint, according to documentation.

The driver_id, driver_name, external_reference and request_id fields are sent and used according to the contract established with the merchant. They are used for the delivery and forwarding process of physical cards.


📖 Example Requests

Below you will find the body example JSON requests for the api:

{
    "card_number": "4523500000016054",
    "card_type": "VI2028",
    "enabled": true,
    "action": "Activation",
    "driver_id": "001",
    "driver_name": "Juan",
    "external_reference": "External reference",
    "request_id": 22222
}

JSON response body fields:

NameDescriptionType
card_numberCustomer's card number.string
card_typeCard type.string
enabledCard status when the action is Activate. Value true to activate.boolean
activation_idActivation ID.number
statusActivation status.string
actionAction to be performed in the card update functionality. According to the action catalog.string
external_referenceExternal reference of the card update.string
request_idId generated after the issuance of a physical card, returned in the Card Issuance Method.number
driver_idThe Id of the courier who will receive the cards at Banco LAFISE.string
driver_nameCourier's name.string

Cards catalogs

📘 Actions types

CodeDescription
ForwardingCard forwarding.
ActivationCard activation.
DeliveredDelivered.
MessagingMessaging.
ReplacementReplacement.

Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
Body Params
string
required
Defaults to 4523500000016054

Description: Customer's card number.
Size: 16.

string
required
Defaults to VI2028

Description: Card type.
Size: 10.

boolean
Defaults to true

Description: Card status when the action is Activate. Value true to activate.

string
enum
required
Defaults to Forwarding

Description: Action to be performed in the card update functionality. According to the action catalog.

Allowed:
string
Defaults to 001

Description: The Id of the courier who will receive the cards at Banco LAFISE.
Size: 20.
Required to: Forwarding action, Delivered action.

string
Defaults to Rosibeth

Description: Courier's name.
Size: 50.
Required to: Forwarding action, Delivered action.

string

Description: External reference of the card update.
Size: 16.
Required to: Forwarding action, Delivered action.

int32
Defaults to 0

Description: Id generated after the issuance of a physical card, returned in the Card Issuance Method.
Required to: Forwarding action, Delivered action.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json